BEGIN ~#SAicha~

// ROMANCE, FINAL
// PARTIE 1, COURONNE DE CUIVRE, AICHA ET ANNAE

IF ~Global("#SRomanceFinalCouronne","GLOBAL",2)~ THEN BEGIN Blabla
 SAY @0
 IF ~~ THEN EXTERN ~#SAnnae~ LaisseRire
END

IF ~~ THEN BEGIN SansCoeur
 SAY @3
 IF ~~ THEN EXTERN ~#SAnnae~ Prix
END

IF ~~ THEN BEGIN Gourgandine
 SAY @8
 IF ~~ THEN EXTERN ~#SAnnae~ Dedaigneuse
END

IF ~~ THEN BEGIN Baffe
 SAY @12 = @13 = @14
 IF ~~ THEN DO ~SetGlobal("#SRomanceFinalCouronne","GLOBAL",3)
                ActionOverride("#SAicha",EscapeArea())
                ActionOverride("#SAnnae",EscapeArea())~ EXIT
END

APPEND ~#SAnnae~ 

IF ~~ THEN BEGIN LaisseRire
 SAY @1 = @2
 IF ~~ THEN EXTERN ~#SAicha~ SansCoeur
END

IF ~~ THEN BEGIN Prix
 SAY @4
 IF ~~ THEN EXTERN ~#SeverJ~ Mesdames
END

IF ~~ THEN BEGIN Dedaigneuse
 SAY @9 = @10 = @11
 IF ~~ THEN EXTERN ~#SAicha~ Baffe
END

END

APPEND ~#SeverJ~ 

IF ~~ THEN BEGIN Mesdames
 SAY @5
 IF ~~ THEN EXTERN ~#SAicha~ Gourgandine
END

END